/*
 * Copyright (C) 2023 niushuai233 niushuai.cc
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package cc.niushuai.demo.designpattern;

import cn.hutool.core.lang.ConsoleTable;
import cn.hutool.core.util.ClassUtil;

import java.util.Set;

/**
 * main class
 *
 * @author niushuai233
 * @date 2023/12/18 15:11
 * @since 0.0.1
 */
public class Application {

    public static final String AUTHOR = "niushuai233";

    public static void main(String[] args) {

        printAllClasses();
    }

    /**
     * 控制台打印所有类
     *
     * @author niushuai233
     * @date 2023/12/18 15:19
     * @since 0.0.1
     */
    private static void printAllClasses() {
        Set<Class<?>> allUtils = ClassUtil.scanPackage("cc.niushuai.demo.designpattern");

        final ConsoleTable consoleTable = ConsoleTable.create().addHeader("类名", "所在包");
        for (Class<?> clazz : allUtils) {
            consoleTable.addBody(clazz.getSimpleName(), clazz.getPackage().getName());
        }
        consoleTable.print();
    }
}
