/*
 * Copyright (C) 2023 niushuai233 niushuai.cc
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package cc.niushuai.demo.designpattern.constructmodel.adapter.chargeinterface;

import lombok.extern.slf4j.Slf4j;

/**
 * 雷电接口
 *
 * @author niushuai233
 * @date 2024/1/5 16:04
 * @since 0.0.1
 */
@Slf4j
public class LightingChargeInterface implements IChargeInterface {

    private ChargeInterfaceEnum _INTERFACE = ChargeInterfaceEnum.LIGHTING;

    @Override
    public boolean supports(ChargeInterfaceEnum _interface) {
        boolean equals = _INTERFACE.equals(_interface);
        log.info("chargeInterface: {} supports {}", _interface, equals);
        return equals;
    }

    @Override
    public void pushIn() {
        log.info("lighting 插入");
    }

    @Override
    public void pullOut() {
        log.info("lighting 拔出");
    }
}
