/*
 * Copyright (C) 2023 niushuai233 niushuai.cc
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package cc.niushuai.demo.designpattern.constructmodel.adapter.phone;

import cc.niushuai.demo.designpattern.constructmodel.adapter.chargeinterface.ChargeInterfaceEnum;

/**
 * 手机品牌以及支持的充电接口
 *
 * @author niushuai233
 * @date 2024/1/5 16:15
 * @since 0.0.1
 */
public enum BrandEnum {
    OPPO("OPPO", ChargeInterfaceEnum.USB_A),
    XIAOMI("XIAOMI", ChargeInterfaceEnum.USB_C),
    IPHONE("IPHONE", ChargeInterfaceEnum.LIGHTING);

    private String name;
    private ChargeInterfaceEnum interfaceEnum;

    BrandEnum(String name, ChargeInterfaceEnum interfaceEnum) {
        this.name = name;
        this.interfaceEnum = interfaceEnum;
    }

    public String getName() {
        return name;
    }

    public ChargeInterfaceEnum getInterface() {
        return interfaceEnum;
    }

}
