/*
 * Copyright (C) 2023 niushuai233 niushuai.cc
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package cc.niushuai.demo.designpattern.creatormodel.abstractfactory._01;

import cc.niushuai.demo.designpattern.creatormodel.abstractfactory._01.mobile.OPPOPhone;
import cc.niushuai.demo.designpattern.creatormodel.abstractfactory._01.pc.OPPOPc;
import lombok.extern.slf4j.Slf4j;

/**
 * oppo factory
 *
 * @author niushuai233
 * @date 2023/12/20 15:24
 * @since 0.0.1
 */
@Slf4j
public class OPPOFactory implements IProductFactory {
    @Override
    public OPPOPhone producePhone() {
        log.info("Producing phone by oppo");
        return new OPPOPhone();
    }

    @Override
    public OPPOPc producePc() {
        log.info("Producing pc by oppo");
        return new OPPOPc();
    }
}
