/*
 * Copyright (C) 2023 niushuai233 niushuai.cc
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package cc.niushuai.demo.designpattern.creatormodel.abstractfactory._01.mobile;

import lombok.extern.slf4j.Slf4j;

/**
 * oppo phone
 *
 * @author niushuai233
 * @date 2023/12/20 15:13
 * @since 0.0.1
 */
@Slf4j
public class OPPOPhone implements IMobileProduct {
    @Override
    public void start() {
        log.info("oppo phone started");
    }

    @Override
    public void shutdown() {
        log.info("oppo phone shutdown");
    }

    @Override
    public void call(String number) {
        log.info("oppo phone call {} say hello", number);
    }

    @Override
    public void sendSMS(String number, String message) {
        log.info("oppo phone send SMS {} to {}", message, number);
    }
}
