/*
 * Copyright (C) 2023 niushuai233 niushuai.cc
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package cc.niushuai.demo.designpattern.creatormodel.builder._01;

import lombok.Data;

/**
 * 简单地址生成器
 *
 * @author niushuai233
 * @date 2023/12/20 16:20
 * @since 0.0.1
 */
@Data
public class Address {

    private String country;
    private String province;
    private String city;
    private String street;

    public Address(String country, String province, String city, String street) {
        this.country = country;
        this.province = province;
        this.city = city;
        this.street = street;
    }

    @Override
    public String toString() {
        return this.country + this.province + this.city + this.street;
    }
}
