/*
 * Copyright (C) 2023 niushuai233 niushuai.cc
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package cc.niushuai.demo.designpattern.creatormodel.decorator;

import cc.niushuai.demo.designpattern.creatormodel.decorator.entity.LoginUser;
import cc.niushuai.demo.designpattern.creatormodel.decorator.filter.LoginFilter;
import cc.niushuai.demo.designpattern.creatormodel.decorator.filter.LoginFilterDecorator;

/**
 * 登陆校验逻辑
 *
 * @author niushuai233
 * @date 2024/1/29 10:40
 * @since 0.0.1
 */
public class LoginService {

    public void login(String username, String password) {
        login(username, password, null);
    }
    public void login(String username, String password, String code) {

        LoginUser loginUser = new LoginUser(username, password, code);

        LoginFilterDecorator filter = new LoginFilterDecorator();
        if (filter.filter(loginUser)) {
            System.out.println(username + " login success!");
            return;
        }

        System.err.println(username + " login failed!");
    }
}
