/*
 * Copyright (C) 2023 niushuai233 niushuai.cc
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package cc.niushuai.demo.designpattern.creatormodel.decorator.filter;

import cc.niushuai.demo.designpattern.creatormodel.decorator.entity.LoginUser;

/**
 * 登陆过滤器
 *
 * @author niushuai233
 * @date 2024/1/29 10:40
 * @since 0.0.1
 */
public class LoginFilter {

    public boolean filter(LoginUser user) {

        if ("zh".equals(user.getUsername()) && "pass".equals(user.getPassword())) {
            return true;
        }

        System.err.println("==> username or password is wrong");
        return false;
    }
}
