/*
 * Copyright (C) 2023 niushuai233 niushuai.cc
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package cc.niushuai.demo.designpattern.creatormodel.facade._01;

import cn.hutool.aop.aspects.SimpleAspect;

import java.lang.reflect.Method;

/**
 * hello aop
 *
 * @author niushuai233
 * @date 2024/1/29 17:16
 * @since 0.0.1
 */
public class HelloAop extends SimpleAspect {

    @Override
    public boolean before(Object target, Method method, Object[] args) {
        return super.before(target, method, args);
    }

    @Override
    public boolean after(Object target, Method method, Object[] args, Object returnVal) {
        return super.after(target, method, args, returnVal);
    }

    @Override
    public boolean afterException(Object target, Method method, Object[] args, Throwable e) {
        return super.afterException(target, method, args, e);
    }
}
