/*
 * Copyright (C) 2023 niushuai233 niushuai.cc
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package cc.niushuai.demo.designpattern.creatormodel.factory._01;

import cc.niushuai.demo.designpattern.creatormodel.factory._01.service.ClothService;
import cc.niushuai.demo.designpattern.creatormodel.factory._01.service.FoodService;
import cc.niushuai.demo.designpattern.creatormodel.factory._01.service.FruitService;
import lombok.extern.slf4j.Slf4j;

/**
 * goods factory
 *
 * @author niushuai233
 * @date 2023/12/20 9:28
 * @since 0.0.1
 */
@Slf4j
public class GoodsFactory {

    public IGoodsService getGoodsService(Integer goodsType) {

        switch (goodsType) {
            case 1:
                return new ClothService();
            case 2:
                return new FoodService();
            case 3:
                return new FruitService();
        }
        throw new RuntimeException("Bad goodsType value " + goodsType);
    }

}
