/*
 * Copyright (C) 2023 niushuai233 niushuai.cc
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package cc.niushuai.demo.designpattern.creatormodel.factory._01.service;

import cc.niushuai.demo.designpattern.creatormodel.factory._01.IGoodsService;
import cc.niushuai.demo.designpattern.creatormodel.factory._01.entity.GoodsReq;
import cc.niushuai.demo.designpattern.creatormodel.factory._01.entity.GoodsResponse;
import cn.hutool.core.util.StrUtil;

/**
 * 水果品类
 *
 * @author niushuai233
 * @date 2023/12/20 9:51
 * @since 0.0.1
 */
public class FruitService implements IGoodsService {
    @Override
    public GoodsResponse sell(GoodsReq goodsReq) {
        GoodsResponse response = new GoodsResponse();
        response.setCode(200);
        response.setMessage(StrUtil.format("之前买的一件{}水果, 商品编号: {},不满意, 卖不出去了...", goodsReq.getName(), goodsReq.getId()));
        return response;
    }

    @Override
    public GoodsResponse buy(GoodsReq goodsReq) {
        GoodsResponse response = new GoodsResponse();
        response.setCode(200);
        response.setMessage(StrUtil.format("使用￥{} 买了一件{}水果, 商品编号: {}", goodsReq.getPrice(), goodsReq.getName(), goodsReq.getId()));
        return response;
    }
}
