/*
 * Copyright (C) 2023 niushuai233 niushuai.cc
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package cc.niushuai.demo.designpattern.creatormodel.prototype._01.entity;

import lombok.Data;

import java.io.Serializable;

/**
 * 答案
 *
 * @author niushuai233
 * @date 2023/12/20 17:06
 * @since 0.0.1
 */
@Data
public class Answer implements Serializable {

    private static final long serialVersionUID = 7089356236006618280L;

    /**
     * 问答题正确答案
     */
    private String answer;

    /**
     * 选择题正确答案
     */
    private SelectAnswerEnum key;

    /**
     * 判断题正确答案
     */
    private Boolean correct;

    public Answer(String answer) {
        this.answer = answer;
    }

    public Answer(SelectAnswerEnum key) {
        this.key = key;
    }

    public Answer(Boolean correct) {
        this.correct = correct;
    }
}
