/*
 * Copyright (C) 2023 niushuai233 niushuai.cc
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package cc.niushuai.demo.designpattern.creatormodel.singleton;

import java.util.Map;
import java.util.concurrent.ConcurrentHashMap;

/**
 * 简单单例模式
 *
 * @author niushuai233
 * @date 2024/1/5 11:17
 * @since 0.0.1
 */
public class Singleton {

    public static final Map<String, Object> map = new ConcurrentHashMap<>();

    private Singleton() {
        System.out.println(Thread.currentThread().getName() + " -> " + getClass().getName() + " has been initialized");
    }

    /**
     * 简单单例模式
     *
     * @return
     * @author niushuai233
     * @date 2024/1/5 11:18
     * @since 0.0.1
     */
    public static Map<String, Object> getMap() {
        return map;
    }
}
