/*
 * Copyright (C) 2023 niushuai233 niushuai.cc
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package cc.niushuai.demo.designpattern.constructmodel.adapter;

import cc.niushuai.demo.designpattern.constructmodel.bridge.pay.AliPay;
import cc.niushuai.demo.designpattern.constructmodel.bridge.pay.PayWay;
import cc.niushuai.demo.designpattern.constructmodel.bridge.pay.WxPay;
import cc.niushuai.demo.designpattern.constructmodel.bridge.security.FaceSecurity;
import cc.niushuai.demo.designpattern.constructmodel.bridge.security.FingerprintSecurity;
import cc.niushuai.demo.designpattern.constructmodel.bridge.security.PasswordSecurity;
import org.junit.jupiter.api.Test;

import java.math.BigDecimal;

/**
 * pay test
 *
 * @author niushuai233
 * @date 2024/1/5 17:57
 * @since 0.0.1
 */
public class PayTest {

    @Test
    public void testPay() {

        PayWay pay_a = new AliPay(new PasswordSecurity());
        pay_a.transfer("001", "002", BigDecimal.valueOf(12));

        PayWay pay_b = new AliPay(new FaceSecurity());
        pay_b.transfer("001", "002", BigDecimal.valueOf(22));

        PayWay pay_c = new AliPay(new FingerprintSecurity());
        pay_c.transfer("001", "002", BigDecimal.valueOf(32));


        PayWay pay_x = new WxPay(new PasswordSecurity());
        pay_x.transfer("001", "002", BigDecimal.valueOf(11));

        PayWay pay_y = new WxPay(new FaceSecurity());
        pay_y.transfer("001", "002", BigDecimal.valueOf(21));

        PayWay pay_z = new WxPay(new FingerprintSecurity());
        pay_z.transfer("001", "002", BigDecimal.valueOf(31));

    }
}
