/*
 * Copyright (C) 2023 niushuai233 niushuai.cc
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package cc.niushuai.demo.designpattern.constructmodel.adapter;

import cc.niushuai.demo.designpattern.constructmodel.adapter.chargeinterface.LightingChargeInterface;
import cc.niushuai.demo.designpattern.constructmodel.adapter.chargeinterface.UsbAChargeInterface;
import cc.niushuai.demo.designpattern.constructmodel.adapter.chargeinterface.UsbCChargeInterface;
import cc.niushuai.demo.designpattern.constructmodel.adapter.phone.BrandEnum;
import cc.niushuai.demo.designpattern.constructmodel.adapter.phone.Phone;
import cn.hutool.core.thread.ThreadUtil;
import org.junit.jupiter.api.Test;

/**
 * phone test
 *
 * @author niushuai233
 * @date 2024/1/5 16:31
 * @since 0.0.1
 */
public class PhoneTest {

    @Test
    public void testPhone() {

        Phone xiaomi = new Phone(BrandEnum.XIAOMI, new UsbCChargeInterface());
        xiaomi.pushIn();
        ThreadUtil.sleep(1000);
        xiaomi.pullOut();

        System.out.println();

        Phone oppo = new Phone(BrandEnum.OPPO, new UsbCChargeInterface());
        oppo.pushIn();
        ThreadUtil.sleep(1000);
        oppo.pullOut();

        System.out.println();

        Phone iphone = new Phone(BrandEnum.IPHONE, new LightingChargeInterface());
        iphone.pushIn();
        ThreadUtil.sleep(1000);
        iphone.pullOut();

    }
}
