/*
 * Copyright (C) 2023 niushuai233 niushuai.cc
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package cc.niushuai.demo.designpattern.creatormodel.builder._01;

import cn.hutool.core.util.IdUtil;
import lombok.extern.slf4j.Slf4j;
import net.datafaker.Faker;
import org.junit.jupiter.api.Test;

import java.util.Locale;

/**
 * people builder test
 *
 * @author niushuai233
 * @date 2023/12/20 16:25
 * @since 0.0.1
 */
@Slf4j
public class PeopleBuilderTest {

    @Test
    public void testPeople() {
        Faker faker = new Faker(Locale.CHINA);
        net.datafaker.providers.base.Address address = faker.address();
        log.info("{}", new People.Builder()
                .id(IdUtil.nanoId())
                .name(faker.name().fullName())
                .idCard(faker.idNumber().validZhCNSsn())
                .sex(Sex.Boy)
                .address(new Address(address.countryCode(), address.state(), address.cityName(), address.streetAddress()))
                .build());

        log.info("{}", new People.Builder()
                .id(IdUtil.nanoId())
                .name(faker.name().fullName())
                .idCard(faker.idNumber().validZhCNSsn())
                .sex(Sex.Girl)
                .address(new Address(address.countryCode(), address.state(), address.cityName(), address.streetAddress()))
                .build());

    }
}
