/*
 * Copyright (C) 2023 niushuai233 niushuai.cc
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package cc.niushuai.demo.designpattern.creatormodel.factory._01;

import cc.niushuai.demo.designpattern.creatormodel.factory._01.entity.GoodsReq;
import cn.hutool.core.util.IdUtil;
import cn.hutool.core.util.RandomUtil;
import lombok.extern.slf4j.Slf4j;
import org.junit.jupiter.api.Test;

/**
 * TODO
 *
 * @author niushuai233
 * @date 2023/12/20 13:55
 * @since 0.0.1
 */
@Slf4j
public class GoodsFactoryTest {

    @Test
    public void testGoodsFactory() {

        GoodsReq clothReq = new GoodsReq();
        clothReq.setGoodsType(1);
        clothReq.setName("皮草大衣");
        clothReq.setPrice(RandomUtil.randomBigDecimal());
        clothReq.setId(IdUtil.nanoId());
        IGoodsService clothService = new GoodsFactory().getGoodsService(clothReq.getGoodsType());
        log.info("{}", clothService.buy(clothReq));
        log.info("{}", clothService.sell(clothReq));

        GoodsReq foodReq = new GoodsReq();
        foodReq.setGoodsType(2);
        foodReq.setName("面包");
        foodReq.setPrice(RandomUtil.randomBigDecimal());
        foodReq.setId(IdUtil.nanoId());
        IGoodsService foodService = new GoodsFactory().getGoodsService(foodReq.getGoodsType());
        log.info("{}", foodService.buy(foodReq));
        log.info("{}", foodService.sell(foodReq));

    }
}
